<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>Task 45.30 CRUD Admin LTE</title>

    <!-- Google Font: Source Sans Pro -->
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback"
    />
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css" />
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css" />

    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    />
    <link
      rel="stylesheet"
      href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css"
    />
  </head>

  <body class="hold-transition sidebar-mini">
    <div class="wrapper">
      <!-- Navbar -->
      <nav class="main-header navbar navbar-expand navbar-white navbar-light">
        <!-- Left navbar links -->
        <ul class="navbar-nav">
          <li class="nav-item">
            <a class="nav-link" data-widget="pushmenu" href="#" role="button"
              ><i class="fas fa-bars"></i
            ></a>
          </li>
          <li class="nav-item d-none d-sm-inline-block">
            <a href="index3.html" class="nav-link">Home</a>
          </li>
          <li class="nav-item d-none d-sm-inline-block">
            <a href="#" class="nav-link">Users</a>
          </li>
        </ul>
        <!-- Right navbar links -->
      </nav>
      <!-- Main Sidebar Container -->
      <aside class="main-sidebar sidebar-dark-primary elevation-4">
        <!-- Brand Logo -->
        <a href="index3.html" class="brand-link">
          <img
            src="dist/img/AdminLTELogo.png"
            alt="AdminLTE Logo"
            class="brand-image img-circle elevation-3"
            style="opacity: 0.8"
          />
          <span class="brand-text font-weight-light">Devcamp 120</span>
        </a>

        <!-- Sidebar -->
        <div class="sidebar">
          <!-- Sidebar user (optional) -->
          <div class="user-panel mt-3 pb-3 mb-3 d-flex">
            <div class="image">
              <img
                src="dist/img/user2-160x160.jpg"
                class="img-circle elevation-2"
                alt="User Image"
              />
            </div>
            <div class="info">
              <a href="#" class="d-block">Leo</a>
            </div>
          </div>

          <!-- SidebarSearch Form -->

          <!-- Sidebar Menu -->
          <nav class="mt-2">
            <ul
              class="nav nav-pills nav-sidebar flex-column"
              data-widget="treeview"
              role="menu"
              data-accordion="false"
            >
              <!-- Add icons to the links using the .nav-icon class
                 with font-awesome or any other icon font library -->
              <li class="nav-item menu-open">
                <a href="#" class="nav-link active">
                  <i class="nav-icon fas fa-tachometer-alt"></i>
                  <p>
                    Dashboard
                    <i class="right fas fa-angle-left"></i>
                  </p>
                </a>
                <ul class="nav nav-treeview">
                  <li class="nav-item">
                    <a href="user.html" class="nav-link active">
                      <i class="far fa-circle nav-icon"></i>
                      <p>User</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="products.html" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Products</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="order.html" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Orders</p>
                    </a>
                  </li>
                </ul>
              </li>
            </ul>
          </nav>
          <!-- /.sidebar-menu -->
        </div>
        <!-- /.sidebar -->
      </aside>
      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <div class="container-fluid">
            <div class="row mb-2">
              <div class="col-sm-6">
                <h1>Voucher</h1>
              </div>
              <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                  <li class="breadcrumb-item"><a href="#">Home</a></li>
                  <li class="breadcrumb-item active">Voucher</li>
                </ol>
              </div>
            </div>
          </div>
          <!-- /.container-fluid -->
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="container">
            <div class="text-center">
              <h2>F120 - Quản trị Voucher</h2>
            </div>
            <div class="form-group">
              <button class="btn btn-success" id="btn-add-voucher">
                <i class="fa fa-plus"></i>&nbsp; New voucher
              </button>
            </div>
          </div>
          <!-- Vouche Data Table -->
          <div class="container">
            <table
              class="table table-bordered table-striped table-hover"
              id="voucher-table"
            >
              <thead>
                <tr>
                  <th>STT</th>
                  <th>ID</th>
                  <th>Mã Voucher</th>
                  <th>% giảm giá</th>
                  <th>Action</th>
                </tr>
              </thead>
            </table>
          </div>
          <!-- Vùng Modal -->

          <!-- Create voucher modal -->
          <div>
            <div id="create-voucher-modal" class="modal fade" tabindex="-1">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title" id="h5-modal-title">
                      Create new voucher
                    </h5>
                    <button class="close" data-dismiss="modal">&times;</button>
                  </div>
                  <div class="modal-body">
                    <form>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-voucher-code"
                            >Voucher code</label
                          >
                        </div>
                        <div class="col-sm-8">
                          <input
                            type="text"
                            id="input-create-voucher-code"
                            name="vouchercodes"
                            placeholder="Voucher code"
                            class="form-control"
                          />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-discount">Discount</label>
                        </div>
                        <div class="col-sm-8">
                          <input
                            type="number"
                            id="input-create-discount"
                            name="discount"
                            placeholder="Discount"
                            class="form-control"
                          />
                        </div>
                      </div>
                    </form>
                  </div>
                  <div class="modal-footer">
                    <button
                      class="btn btn-secondary"
                      id="btn-create-cancel"
                      data-dismiss="modal"
                    >
                      Cancel
                    </button>
                    <button class="btn btn-primary" id="btn-create-voucher">
                      Create Voucher
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <!-- Update voucher modal -->
          <div>
            <div id="update-voucher-modal" class="modal fade" tabindex="-1">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title" id="h5-modal-title">
                      Update a Voucher
                    </h5>
                    <button class="close" data-dismiss="modal">&times;</button>
                  </div>
                  <div class="modal-body">
                    <form>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-update-voucher-code"
                            >Voucher code</label
                          >
                        </div>
                        <div class="col-sm-8">
                          <input
                            type="text"
                            id="input-update-voucher-code"
                            name="vouchercodes"
                            placeholder="Voucher code"
                            class="form-control"
                          />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-update-discount">Discount</label>
                        </div>
                        <div class="col-sm-8">
                          <input
                            type="number"
                            id="input-update-discount"
                            name="discount"
                            placeholder="Discount"
                            class="form-control"
                          />
                        </div>
                      </div>
                    </form>
                  </div>
                  <div class="modal-footer">
                    <button
                      class="btn btn-secondary"
                      id="btn-update-cancel"
                      data-dismiss="modal"
                    >
                      Cancel
                    </button>
                    <button class="btn btn-primary" id="btn-update-voucher">
                      Update Voucher
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <!-- Delete confirm modal -->
          <div>
            <div class="modal fade" tabindex="-1" id="delete-confirm-modal">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title" id="h5-modal-title">
                      Voucher Delete Confirmation
                    </h5>
                    <button class="close" data-dismiss="modal">&times;</button>
                  </div>
                  <div class="modal-body">
                    <label>Bạn có chắc chắn muốn xóa voucher này không?</label>
                  </div>
                  <div class="modal-footer">
                    <button
                      class="btn btn-danger"
                      id="btn-confirm-delete-voucher"
                    >
                      Confirm
                    </button>
                    <button class="btn btn-secondary" data-dismiss="modal">
                      Cancel
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </section>
        <!-- /.content -->
      </div>
      <!-- footer -->
      <footer class="main-footer">
        <div class="float-right d-none d-sm-block"><b>Version</b> 1.0</div>
        <strong
          >Copyright &copy; 2023
          <a href="https://adminlte.io">Devcamp 120</a>.</strong
        >
        All rights reserved.
      </footer>
    </div>
    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>

    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.min.js"></script>
    <!-- AdminLTE for demo purposes -->
    <script src="dist/js/demo.js"></script>
    
    <script src="script.js"></script>
  </body>
</html>
